#
# spec file for package apache2-mod_security (Version 1.9.5)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org
#

# norootforbuild

%define apache apache2
%define modname mod_security
%define tarballname modsecurity-apache_%{version}

%define apxs              %{_sbindir}/apxs2
%define apache_libexecdir %(%{apxs} -q LIBEXECDIR)
%define apache_sysconfdir %(%{apxs} -q SYSCONFDIR)
%define apache_mmn       %(MMN=$(%{apxs} -q LIBEXECDIR)/MMN; test -x $MMN && $MMN)
#
Name: apache2-mod_security
Version: 1.9.5
Release: 3.10
#
License: GPL
Group: Productivity/Networking/Web/Servers
#
BuildRoot: %{_tmppath}/%{name}-%{version}-build
BuildRequires: apache2-devel
Requires:     apache2 %{apache_mmn}
#
URL: http://www.modsecurity.org
Source: http://www.modsecurity.org/download/%{tarballname}.tar.gz
Source1: http://www.modsecurity.org/download/modsecurity-rules-current.tar.gz
#
Summary:      ModSecurity Open Source Web Application Firewall
%description
ModSecurity(TM) is an open source intrusion detection and
prevention engine for web applications (or a web application
firewall). Operating as an Apache Web server module or
standalone, the purpose of ModSecurity is to increase web
application security, protecting web applications from known
and unknown attacks.

 Author:
--------
    Ivan Ristic <ivanr@webkreator.com>

%prep
%setup -n %{tarballname}
mkdir rules-current
tar xzf %{S:1} -C rules-current

%build
pushd %{apache}
    CFLAGS="%{optflags}" \
    %{apxs} -c %{modname}.c
popd

%install
%{__install} -Dd -m 0755 %{buildroot}%{apache_libexecdir}
%{apxs} -i -S LIBEXECDIR=%{buildroot}%{apache_libexecdir} -n %{modname} %{apache}/%{modname}.la
%{__install} -D -m 0644 httpd.conf.example-minimal %{buildroot}%{apache_sysconfdir}/conf.d/%{modname}.conf

%clean
%{__rm} -rf %{buildroot};

%files
%defattr(-, root, root, 0755)
%{apache_libexecdir}/%{modname}.so
%config(noreplace) %{apache_sysconfdir}/conf.d/%{modname}.conf
%doc util/ httpd.conf.example-minimal rules-current/
%doc doc/html-multipage/ doc/*.pdf
%doc README CHANGES LICENSE

%changelog
* Wed Aug  8 2007 mrueckert@suse.de
- update to 1.9.5
